> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Show QennerLengthOfStayPeriod entity.

- Product: Qenner
- Section: Integration - Qenner
- Snapshot: Current
- Method: `GET`
- Path: `/api/qenner/los_periods/{id}`

## Path parameters

### `id`

Type: `string`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.qenner.losPeriods.get({
  id: "<id>",
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/qenner/los_periods/$ID" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
{
  "id": 0,
  "dateFrom": "dateFrom",
  "dateTo": "dateTo",
  "numOfDays": 0,
  "numOfPersons": 0,
  "totalPrice": "totalPrice",
  "created": "created",
  "modified": "modified"
}
```

##### Schema

###### QennerLengthOfStayPeriod

Type: `QennerLengthOfStayPeriod`  

###### `id`

Type: `number`  
Required: yes  

###### `dateFrom`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `dateTo`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `numOfDays`

Type: `number`  
Required: yes  

###### `numOfPersons`

Type: `number`  
Required: yes  

###### `totalPrice`

Type: `string`  
Required: yes  

###### `created`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

## Related representations

- [Human documentation](/qenner/los-periods/methods/get/)
- [TypeScript Markdown](/qenner/los-periods/methods/get.md?lang=typescript)
- [curl Markdown](/qenner/los-periods/methods/get.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/qenner/llms.txt)
- [snapshot llms.txt](/qenner/llms.txt)
